Create compute service
⚠️ Experimental endpoint: this API is in active development and may change at any time without notice. ⚠️
Creates a new compute service under the specified project. The projectId is required in the request body. The service is placed in the given region (or the default region if omitted).
POST
/v1/compute-servicesAuthorizationBearer <token>
OAuth2 authentication
In: header
Scope: workspace:admin, offline_access
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.prisma.io/v1/compute-services" \ -H "Content-Type: application/json" \ -d '{ "displayName": "string", "projectId": "string" }'{
"data": {
"id": "string",
"type": "compute-service",
"url": "http://example.com",
"name": "string",
"region": {
"id": "string",
"name": "string"
},
"projectId": "string",
"latestVersionId": "string",
"createdAt": "2019-08-24T14:15:22Z"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}